Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit
Class JPAWorkingMemoryDbLogger

    java.lang.Object
      org.drools.audit.WorkingMemoryLogger
          org.jbpm.process.audit.AbstractAuditLogger
              org.jbpm.process.audit.JPAWorkingMemoryDbLogger

All Implemented Interfaces:
  Externalizable, Serializable, EventListener, org.drools.event.AgendaEventListener, org.drools.event.RuleBaseEventListener, org.drools.event.WorkingMemoryEventListener, ProcessEventListener

    public class JPAWorkingMemoryDbLogger

extends AbstractAuditLogger

Enables history log via JPA.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.process.audit.AbstractAuditLogger
`env`

Constructor Summary
`JPAWorkingMemoryDbLogger(org.kie.event.KnowledgeRuntimeEventManager session)`
`JPAWorkingMemoryDbLogger(org.drools.WorkingMemory workingMemory)`

Method Summary
`protected void` | `addNodeEnterLog(long processInstanceId, String processId, String nodeInstanceId, String nodeId, String nodeName)`
`protected void` | `addNodeExitLog(long processInstanceId, String processId, String nodeInstanceId, String nodeId, String nodeName)`
`protected void` | `addProcessLog(org.drools.audit.event.RuleFlowLogEvent processEvent)`
`protected void` | `addVariableLog(long processInstanceId, String processId, String variableInstanceId, String variableId, String objectToString)`
`void` | `dispose()`
`protected static UserTransaction` | `findUserTransaction()`
`void` | `logEventCreated(org.drools.audit.event.LogEvent logEvent)`
`protected void` | `updateProcessLog(org.drools.audit.event.RuleFlowLogEvent processEvent)`

Methods inherited from class org.jbpm.process.audit.AbstractAuditLogger
`afterProcessCompleted, beforeProcessStarted`

Methods inherited from class org.drools.audit.WorkingMemoryLogger
`activationCancelled, activationCreated, addFilter, afterActivationFired, afterFunctionRemoved, afterNodeLeft, afterNodeTriggered, afterPackageAdded, afterPackageRemoved, afterProcessAdded, afterProcessRemoved, afterProcessStarted, afterRuleAdded, afterRuleBaseLocked, afterRuleBaseUnlocked, afterRuleFlowGroupActivated, afterRuleFlowGroupDeactivated, afterRuleRemoved, afterVariableChanged, agendaGroupPopped, agendaGroupPushed, beforeActivationFired, beforeFunctionRemoved, beforeNodeLeft, beforeNodeTriggered, beforePackageAdded, beforePackageRemoved, beforeProcessAdded, beforeProcessCompleted, beforeProcessRemoved, beforeRuleAdded, beforeRuleBaseLocked, beforeRuleBaseUnlocked, beforeRuleFlowGroupActivated, beforeRuleFlowGroupDeactivated, beforeRuleRemoved, beforeVariableChanged, clearFilters, objectInserted, objectRetracted, objectUpdated, readExternal, removeFilter, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPAWorkingMemoryDbLogger

    public JPAWorkingMemoryDbLogger(org.drools.WorkingMemory workingMemory)

### JPAWorkingMemoryDbLogger

    public JPAWorkingMemoryDbLogger(org.kie.event.KnowledgeRuntimeEventManager session)

Method Detail

### logEventCreated

    public void logEventCreated(org.drools.audit.event.LogEvent logEvent)

  Specified by:
    `logEventCreated` in class `org.drools.audit.WorkingMemoryLogger`

### addProcessLog

    protected void addProcessLog(org.drools.audit.event.RuleFlowLogEvent processEvent)

### updateProcessLog

    protected void updateProcessLog(org.drools.audit.event.RuleFlowLogEvent processEvent)

### addNodeEnterLog

    protected void addNodeEnterLog(long processInstanceId,
                                   String processId,
                                   String nodeInstanceId,
                                   String nodeId,
                                   String nodeName)

### addNodeExitLog

    protected void addNodeExitLog(long processInstanceId,
                                  String processId,
                                  String nodeInstanceId,
                                  String nodeId,
                                  String nodeName)

### addVariableLog

    protected void addVariableLog(long processInstanceId,
                                  String processId,
                                  String variableInstanceId,
                                  String variableId,
                                  String objectToString)

### dispose

    public void dispose()

### findUserTransaction

    protected static UserTransaction findUserTransaction()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.